<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingLeft="@dimen/padding_12dp"
        android:paddingRight="@dimen/padding_12dp"
        android:paddingBottom="@dimen/padding_12dp"
        android:paddingTop="@dimen/padding_8dp"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:orientation="horizontal"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">
            <com.innovattic.font.FontTextView
                style="?displayLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/padding_5dp"
                android:text="?type"/>
            <com.innovattic.font.FontTextView
                style="?displayLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" :"/>

            <com.innovattic.font.FontTextView
                style="?displayTxt"
                android:id="@+id/type_filter"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawablePadding="@dimen/padding_3dp"
                android:drawableRight="?downArrow"
                android:padding="@dimen/padding_5dp"
                android:clickable="true"
                android:background="?selectableItemBackground"
                android:text="All"/>

            <android.support.v4.widget.Space
                android:layout_width="0dp"
                android:layout_height="@dimen/padding_1.5dp"
                android:layout_weight="0.6"/>

            <com.innovattic.font.FontTextView
                style="?displayLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="?date"/>

            <com.innovattic.font.FontTextView
                style="?displayLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" :"/>

            <com.innovattic.font.FontTextView
                style="?displayTxt"
                android:id="@+id/filter_one"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawablePadding="@dimen/padding_3dp"
                android:drawableRight="?downArrow"
                android:padding="@dimen/padding_5dp"
                android:clickable="true"
                android:background="?selectableItemBackground"
                android:text="All"/>
        </LinearLayout>
        <android.support.v4.widget.Space
            android:layout_width="match_parent"
            android:layout_height="@dimen/padding_5dp" />
        <com.innovattic.font.FontTextView
            style="?displayTxt"
            android:id="@+id/no_transaction"
            android:gravity="center"
            android:visibility="gone"
            android:text="?no_transaction"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="?stokeFrameDottedColorPrimary"
            android:padding="@dimen/padding_1dp"/>
        <android.support.v7.widget.RecyclerView
            android:id="@+id/expenseManager_list_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="?stokeFrameDottedColorPrimary"
            android:scrollbars="vertical"
            android:padding="@dimen/padding_1dp">
        </android.support.v7.widget.RecyclerView>
    </LinearLayout>


    <FrameLayout
        android:id="@+id/interpretor"
        android:layout_width="408dp"
        android:layout_height="match_parent"
        android:descendantFocusability="blocksDescendants"
        tools:layout_editor_absoluteX="3dp">

    </FrameLayout>

    <com.github.clans.fab.FloatingActionMenu
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom|end"
        android:layout_margin="@dimen/padding_12dp"
        app:menu_colorNormal="?fabButton"
        app:menu_colorPressed="?fabButton"
        app:menu_colorRipple="@color/rippleState"
        android:src="?plus"
        app:menu_labels_customFont="Zawgyi-One.ttf"
        android:id="@+id/floatingActionMenu">

        <com.github.clans.fab.FloatingActionButton
            android:id="@+id/expense"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:fab_colorNormal="#DD2C00"
            app:fab_colorPressed="#DD2C00"

            app:fab_colorRipple="@color/rippleState"
            app:fab_label="?expense"
            android:src="@drawable/minus_white" />

        <com.github.clans.fab.FloatingActionButton
            android:id="@+id/income"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:fab_colorNormal="#4CAF50"
            app:fab_colorPressed="#4CAF50"
            app:fab_colorRipple="@color/rippleState"
            app:fab_label="?income"

            android:src="@drawable/plus" />

    </com.github.clans.fab.FloatingActionMenu>


</android.support.design.widget.CoordinatorLayout>